org.vishia.gral.awt

## Enum AwtGralKey.MouseAction

- java.lang.Object
- - java.lang.Enum<AwtGralKey.MouseAction>
  - - org.vishia.gral.awt.AwtGralKey.MouseAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AwtGralKey.MouseAction>
  Enclosing class:
    AwtGralKey

      public static enum AwtGralKey.MouseAction
      extends java.lang.Enum<AwtGralKey.MouseAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `doubleClick`
    `down`
    `up`
    `upMovedOutside`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AwtGralKey.MouseAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AwtGralKey.MouseAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### down

          public static final AwtGralKey.MouseAction down

    - #### up

          public static final AwtGralKey.MouseAction up

    - #### upMovedOutside

          public static final AwtGralKey.MouseAction upMovedOutside

    - #### doubleClick

          public static final AwtGralKey.MouseAction doubleClick

  - ### Method Detail

    - #### values

          public static AwtGralKey.MouseAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AwtGralKey.MouseAction c : AwtGralKey.MouseAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AwtGralKey.MouseAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null